%global git git20160312
Summary: A desktop recorder
Name: byzanz
Version: 0.3.0
Release: 1%{?dist}
License: GPLv3+
URL: https://gitlab.gnome.org/Archive/byzanz
Source0: %{name}_%{version}.tar.xz

BuildRequires: gnome-common
BuildRequires: cairo-devel >= 1.8.10
BuildRequires: gtk3-devel
BuildRequires: libXdamage-devel >= 1.0
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-base-devel
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: perl(XML::Parser)
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Patch0: byzanz1.patch
Patch1: byzanz2.patch
Patch2: byzanz3.patch

%description
Byzanz is a desktop recorder striving for ease of use. It can record to 
GIF images, Ogg Theora video - optionally with sound - and other formats.
A command-line recording tool is included.

%prep
%setup -q -n %{name}-%{version}+%{git}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./autogen.sh
CFLAGS="%optflags -Wno-deprecated-declarations"
%ifarch armv7l armv7hl armv7hnl
# http://rwmj.wordpress.com/2014/01/06/alignment-errors-on-fedora-arm/
CFLAGS="$CFLAGS -Wno-cast-align"
%endif
%configure
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
%find_lang byzanz

%files -f byzanz.lang
%doc AUTHORS ChangeLog COPYING NEWS
%{_bindir}/byzanz-playback
%{_bindir}/byzanz-record
%{_datadir}/icons/hicolor/*/apps/byzanz-record-area.*
%{_datadir}/icons/hicolor/*/apps/byzanz-record-desktop.*
%{_datadir}/icons/hicolor/*/apps/byzanz-record-window.*
%{_mandir}/man1/byzanz.1*
%{_mandir}/man1/byzanz-playback.1*
%{_mandir}/man1/byzanz-record.1*

%changelog
* Fri Apr 17 2020 vishal <vishalraghavan@yahoo.com> - 0.3-0.1
- Initial build.


